Skip to main content
Resource Center/Resource Pool/Snapshot Group Operations
GETSnapshot Group OperationsSince 3.6.0SynchronousAuth Required

CheckVolumeSnapshotGroupAvailability

CheckVolumeSnapshotGroupAvailability

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • uuidsListRequired

    The snapshot group UUIDs.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • resultsListRequired

    See results.

    • uuidStringRequired

      The resource UUID.

    • availablebooleanRequired

      Whether the volume snapshot group is available.

    • reasonStringRequired

      The reason why the volume snapshot group is unavailable. If the volume snapshot group is available, this parameter is null.

Endpoint

GET/zstack/v1/volume-snapshots/groups/availabilities

/zstack/v1/volume-snapshots/groups/availabilities

Operation ID

CheckVolumeSnapshotGroupAvailability

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/volume-snapshots/groups/availabilities?uuids=<uuids>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "results": [ { "uuid": "78dd38e3e58134cead860f270143a474", "available": true, "reason": "" } ] }

Change History

This API has no change history records yet.

View all change history